﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace SocialNetwork
{
    public abstract class SocialNetworkControl : WebControl
    {
        internal T GetData<T>(string key, T defaultValue)
        {
            object data = ViewState[key];
            if (data != null)
            {
                return (T)data;
            }

            return defaultValue;
        }
    }
}
